%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/go-logr/zapr
Version:                1.2.4

%gometa

%global common_description %{expand:
A logr implementation using Zap.}

%global golicenses      LICENSE
%global godocs          example README.md

Name:           %{goname}
Release:    2%{?dist}
Summary:        A logr implementation using Zap

License:        Apache-2.0
URL:            %{gourl}
Source0:         %{gosource}

BuildRequires:  golang(github.com/stretchr/testify)

%description %{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Sat Jun 07 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.2.4-2
- Rebuilt for loongarch64

* Fri Sep 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.4-1
- initial build
